#!/bin/sh
#
# This is a patch after script,  generated by the patchgen script.
# You should not edit this file.
#
_TMP="$TMP"
if [ "x$_TMP" != x ]; then
    # Unscrew NuTcracker screwyness.
    _TMP=`echo "$_TMP" | sed 's!/\([a-zA-Z]\)=/!\1:/!g'`
    if [ ! -d "$_TMP" ]; then
	unset _TMP
    fi
fi
if [ "x$_TMP" = x ]; then
    # This should be a no-op on Unix, but on NT the chances are good that
    # there really will be a $DBDIR/tmp.
    if [ -d tmp ]; then
	_TMP=`pwd`/tmp
    else
	_TMP=/tmp
	if [ ! -d /tmp ]; then
	    mkdir /tmp
	fi
    fi
fi
export _TMP

if [ -f /tmp/TransferEnv ] ; then
    set -a
    . /tmp/TransferEnv
fi

PatchId=11DBT001_ALIDB_$1
PATH=${PATH}:/usr/ucb

if [ -d "$ThisDir" ]; then
    cd $ThisDir
fi

sh >$_TMP/${PatchId}.output 2>$_TMP/${PatchId}.error <<\MAIN_EOF
set -xe

#
# Get the NameRegistry, InterfaceRepository and Library object IDs
# If the appropriate env variables are already set, then we
# don't need to get them again.  Additionally, if we need to get
# the InterfaceRepository oid, go ahead and put it into replace mode.
#
NameRegistry=${NameRegistry:-`wlookup NameRegistry`}
export NameRegistry
TNR=$NameRegistry
export TNR

Library=${Library:-`wlookup Library`}
export Library
CLO=$Library
export CLO

if [ -z "$InterfaceRepository" ] ; then
	InterfaceRepository=`wlookup InterfaceRepository`
        export InterfaceRepository
	idlattr -s -t $InterfaceRepository replace_mode boolean TRUE
fi

#################################################
# /tivoli/platform/builds/TMP_3.2GA/prod/export/bin/solaris2/ADE/patchgen generated after script
# PatchId:	11DBT001
#
# Executing after script:  11DBT1postALI.sh
sh -xe <<\ALIDB_EOF

#!/bin/sh -x

#****************************************************************************
#
# Post-Process Procedure
#
#****************************************************************************

ACO=`wlookup -r AdministratorCollection Administrators`

idlcall $ACO add_supported_role '"db2_dba"'
idlcall $ACO add_supported_tmr_role '"db2_dba"'


# for each class behaviour object, update the roles, since they don't seem to get done automatically
# note: behaviour object variables should have been set in generated script, which incorporates this script at its end

if [ "x$Library" = x ]; then
    Library=${Library:-`wlookup Library`}
    export Library
fi
if [ "x$CLO" = x ]; then
    CLO=$Library
    export CLO
fi

# -----------
# DB2Database
# -----------
if [ "x$imp_DB2Database_CO" = x ]; then
    imp_DB2Database_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2Database\"'`
    export imp_DB2Database_CO
fi
if [ "x$imp_DB2Database_BO" = x ]; then
    imp_DB2Database_BO=`idlcall $imp_DB2Database_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2Database_BO
fi

objcall $imp_DB2Database_BO om_set_acl   remove_db db2_dba super senior
objcall $imp_DB2Database_BO om_set_roles remove_db global super

# this object overrides the parent's remove method
objcall $imp_DB2Database_BO om_set_acl   remove    db2_dba super senior
objcall $imp_DB2Database_BO om_set_roles remove    global super


# -------------
# DB2DatabasePD
# -------------
if [ "x$imp_DB2DatabasePD_CO" = x ]; then
    imp_DB2DatabasePD_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2DatabasePD\"'`
    export imp_DB2DatabasePD_CO
fi
if [ "x$imp_DB2DatabasePD_BO" = x ]; then
    imp_DB2DatabasePD_BO=`idlcall $imp_DB2DatabasePD_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2DatabasePD_BO
fi

objcall $imp_DB2DatabasePD_BO om_set_acl   DB2Database_get_create_dialog db2_dba super senior
objcall $imp_DB2DatabasePD_BO om_set_acl   DB2Database_get_delete_dialog db2_dba super senior
objcall $imp_DB2DatabasePD_BO om_set_roles DB2Database_get_create_dialog global super
objcall $imp_DB2DatabasePD_BO om_set_roles DB2Database_get_delete_dialog global super


# ------------
# DB2Partition
# ------------
if [ "x$imp_DB2Partition_CO" = x ]; then
    imp_DB2Partition_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2Partition\"'`
    export imp_DB2Partition_CO
fi
if [ "x$imp_DB2Partition_BO" = x ]; then
    imp_DB2Partition_BO=`idlcall $imp_DB2Partition_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2Partition_BO
fi

objcall $imp_DB2Partition_BO om_set_acl   startup_node  db2_dba admin
objcall $imp_DB2Partition_BO om_set_acl   shutdown_node db2_dba admin
objcall $imp_DB2Partition_BO om_set_acl   remove        db2_dba senior super
objcall $imp_DB2Partition_BO om_set_roles startup_node  global admin
objcall $imp_DB2Partition_BO om_set_roles shutdown_node global admin
objcall $imp_DB2Partition_BO om_set_roles remove        global super


# --------------
# DB2PartitionPD
# --------------
if [ "x$imp_DB2PartitionPD_CO" = x ]; then
    imp_DB2PartitionPD_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2PartitionPD\"'`
    export imp_DB2PartitionPD_CO
fi
if [ "x$imp_DB2PartitionPD_BO" = x ]; then
    imp_DB2PartitionPD_BO=`idlcall $imp_DB2PartitionPD_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2PartitionPD_BO
fi

objcall $imp_DB2PartitionPD_BO om_set_acl   DB2Partition_get_create_dialog db2_dba super senior
objcall $imp_DB2PartitionPD_BO om_set_roles DB2Partition_get_create_dialog global super


# -----------------
# DB2PartitionGroup
# -----------------
if [ "x$imp_DB2PartitionGroup_CO" = x ]; then
    imp_DB2PartitionGroup_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2PartitionGroup\"'`
    export imp_DB2PartitionGroup_CO
fi
if [ "x$imp_DB2PartitionGroup_BO" = x ]; then
    imp_DB2PartitionGroup_BO=`idlcall $imp_DB2PartitionGroup_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2PartitionGroup_BO
fi

objcall $imp_DB2PartitionGroup_BO om_set_acl   startup_node   db2_dba admin
objcall $imp_DB2PartitionGroup_BO om_set_acl   shutdown_node  db2_dba admin
objcall $imp_DB2PartitionGroup_BO om_set_acl   change_members db2_dba senior super
objcall $imp_DB2PartitionGroup_BO om_set_acl   remove         db2_dba senior super
objcall $imp_DB2PartitionGroup_BO om_set_roles startup_node   global admin
objcall $imp_DB2PartitionGroup_BO om_set_roles shutdown_node  global admin
objcall $imp_DB2PartitionGroup_BO om_set_roles change_members global super
objcall $imp_DB2PartitionGroup_BO om_set_roles remove         global super


# -------------------
# DB2PartitionGroupPD
# -------------------
if [ "x$imp_DB2PartitionGroupPD_CO" = x ]; then
    imp_DB2PartitionGroupPD_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2PartitionGroupPD\"'`
    export imp_DB2PartitionGroupPD_CO
fi
if [ "x$imp_DB2PartitionGroupPD_BO" = x ]; then
    imp_DB2PartitionGroupPD_BO=`idlcall $imp_DB2PartitionGroupPD_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2PartitionGroupPD_BO
fi

objcall $imp_DB2PartitionGroupPD_BO om_set_acl   DB2PartitionGroup_get_create_dialog db2_dba super senior
objcall $imp_DB2PartitionGroupPD_BO om_set_roles DB2PartitionGroup_get_create_dialog global super


# -----------
# DB2Instance
# -----------
if [ "x$imp_DB2Instance_CO" = x ]; then
    imp_DB2Instance_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2Instance\"'`
    export imp_DB2Instance_CO
fi
if [ "x$imp_DB2Instance_BO" = x ]; then
    imp_DB2Instance_BO=`idlcall $imp_DB2Instance_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2Instance_BO
fi

objcall $imp_DB2Instance_BO om_set_acl   startup_instance       db2_dba super senior admin
objcall $imp_DB2Instance_BO om_set_acl   shutdown_instance      db2_dba super senior admin
objcall $imp_DB2Instance_BO om_set_acl   remove                 db2_dba super senior
objcall $imp_DB2Instance_BO om_set_acl   remove_database        db2_dba super senior
objcall $imp_DB2Instance_BO om_set_acl   remove_instance        db2_dba super senior
objcall $imp_DB2Instance_BO om_set_acl   remove_partition_group db2_dba super senior
objcall $imp_DB2Instance_BO om_set_roles startup_instance       global super
objcall $imp_DB2Instance_BO om_set_roles shutdown_instance      global super
objcall $imp_DB2Instance_BO om_set_roles remove                 global super
objcall $imp_DB2Instance_BO om_set_roles remove_database        global super
objcall $imp_DB2Instance_BO om_set_roles remove_instance        global super
objcall $imp_DB2Instance_BO om_set_roles remove_partition_group global super


# -------------
# DB2InstancePD
# -------------
if [ "x$imp_DB2InstancePD_CO" = x ]; then
    imp_DB2InstancePD_CO=`idlcall $CLO TMF_SysAdmin::Library::lookup_impl '\"imp_DB2InstancePD\"'`
    export imp_DB2InstancePD_CO
fi
if [ "x$imp_DB2InstancePD_BO" = x ]; then
    imp_DB2InstancePD_BO=`idlcall $imp_DB2InstancePD_CO TMF_Root::MetaBase::get_behavior`
    export imp_DB2InstancePD_BO
fi

objcall $imp_DB2InstancePD_BO om_set_acl   DB2Instance_get_create_dialog db2_dba super senior
objcall $imp_DB2InstancePD_BO om_set_acl   DB2Instance_get_delete_dialog db2_dba super senior
objcall $imp_DB2InstancePD_BO om_set_roles DB2Instance_get_create_dialog global super
objcall $imp_DB2InstancePD_BO om_set_roles DB2Instance_get_delete_dialog global super


echo "Post-install process completed successfully."

exit 0

ALIDB_EOF

MAIN_EOF

SSSTAT=$?
# any output needs to go to stderr
	 
if [ $SSSTAT -ne 0 ]; then
    echo "" >&2
    echo "Failure: the last few lines of the error log ($_TMP/$PatchId.error):" >&2
    tail $_TMP/$PatchId.error >&2
    if [ ! -z "$FileIfInstalled" ] ; then
    	rm -f $FileIfInstalled
    fi
else
    echo "Patch install completed successfully." >&2
    msg="";
    if [ -n "$msg" ]; then echo " $msg" >&2; fi
    
    rm -f $_TMP/$PatchId.error $_TMP/$PatchId.output
fi
exit $SSSTAT
